Ankündigung

Einklappen
Keine Ankündigung bisher.

Supportthread für UZSU Plugin

Einklappen
X
 
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

    #91
    kommt das täglich oder nur beim monatswechsel? wrong syntax kannst ignorieren. problem ist wohl das mit nächstem tag...

    Kommentar


      #92
      Danke für die schnelle Antwort!

      Es kommt seit dem 30.5. täglich (vorher kann ich leider nicht mehr sagen), auch heute, wenn ich den offset über smartVisu ändere und dieser >= 173 Minuten beträgt, bis 172 kommt die Meldung nicht, das passt dann allerdings auch nicht ganz mit meiner Theorie zusammen, aktuell ist sunset um 21:10, plus die 173 wäre ja schon 23:53?

      Viele Grüße
      Franz

      Kommentar


        #93
        Hi!
        Ich hab das Problem bei mir repliziert.
        Problem a) mit einem min/max dazu kommt der von dir angegebene Fehler.
        Problem b) imho noch schwerwiegender - ohne minx/max wird die UZSU wohl erst an einem sehr späten Tag geschaltet, an dem der Zeitpunkt sunset+X Minuten vor Mitternacht liegt.

        Ich denke, es macht Sinn, per se nicht über die Tagesgrenze hinauszugehen und quasi einen automatischen max-Wert von 23:59 zu integrieren, oder?

        Kommentar


          #94
          Servus,

          vielen Dank für Deine Bemühungen!
          Ja, ich denke es wäre auf jeden Fall besser nicht über die Tagesgrenze hinauszugehen (evtl. auch am min-Wert?), bevor der Schaltzeitpunkt evtl. ja dann im schlimmsten Fall erst Wochen/Monate später erfolgen würde. Wegen mir drängt das aber nicht, ich werde den Offset einfach entsprechend verringern, ist unkritisch.

          Gruß
          Franz

          Kommentar


            #95
            Hallo,

            ich nutze das struct, welches das Plugin mitbringt, um alle meine UZSU zu definieren. Bislang auch nur in der Standardkonfiguration, also ohne die Attributwerte nachträglich zu überschreiben.

            Nun habe ich einen Anwendungsfall, bei dem sich das uzsu_item vom Standard (..) unterscheidet.

            Meine Konfig sieht so aus:
            Code:
            rollladen:
                eg:
                    alle:
                        type: foo
                        struct: uzsu.child
                        uszu:
                            uzsu_item: ...move
                    move:
                        type: bool
                        visu_acl: rw
            Ich möchte also die UZSU unter dem Item "rollladen.eg.alle" anlegen, das zu schaltende Item soll dann aber nicht "rollladen.eg.alle" sein, wie es der Standard mit ".." ergibt, sondern "rollladen.eg.alle.move".

            shNG übernimmt aber das Überschreiben des Attributewertes nach Auflösen des structs nicht. Es bleibt immer beim Standard.
            Hat das schon jemand mal probiert?

            Danke für die Rückmeldung.

            Kommentar


              #96
              Setz mal das struct Attribut hinter uzsu:

              Code:
              rollladen:
                  eg:
                      alle:
                          type: foo
                          uszu:
                              uzsu_item: ...move
                          struct: uzsu.child
                      move:
                          type: bool
                          visu_acl: rw
              Viele Grüße
              Martin

              There is no cloud. It's only someone else's computer.

              Kommentar


                #97
                Zitat von Msinn Beitrag anzeigen
                Setz mal das struct Attribut hinter uzsu:
                #
                Hatte ich schon probiert.

                Konfig:
                Code:
                rollladen:
                    eg:
                        alle:
                            type: foo
                            uszu:
                                uzsu_item: ...move
                            struct: uzsu.child
                        move:
                            type: bool
                            visu_acl: rw
                Gleiches Ergebnis:

                Auszug aus Admin-Interface:
                uzsu_item rollladen.eg.alle
                visu_acl rw

                Kommentar


                  #98
                  Da steht auch uszu statt uzsu. Alter Klassiker

                  Kommentar


                    #99
                    Zitat von Onkelandy Beitrag anzeigen
                    Da steht auch uszu statt uzsu. Alter Klassiker
                    kaum schreibt man es richtig, geht es auch

                    Kommentar


                      Leider scheitert es schon an der Vorbereitung:

                      Code:
                      sudo pip3 install -r plugins/uzsu/requirements.txt
                      gibt eine Fehlermeldung aus:

                      Code:
                      sudo pip3 install -r plugins/uzsu/requirements.txt
                      Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple
                      Requirement already satisfied: numpy in /usr/local/lib/python3.5/dist-packages ( from -r plugins/uzsu/requirements.txt (line 1)) (1.18.4)
                      Collecting scipy>=1.1.0
                      Using cached scipy-1.4.1.tar.gz (24.6 MB)
                      Installing build dependencies ... done
                      Getting requirements to build wheel ... done
                      Preparing wheel metadata ... error
                      ERROR: Command errored out with exit status 1:
                      command: /usr/bin/python3 /usr/local/lib/python3.5/dist-packages/pip/_vendo r/pep517/_in_process.py prepare_metadata_for_build_wheel /tmp/tmpf6iwftds
                      cwd: /tmp/pip-install-evddsh79/scipy
                      Complete output (56 lines):
                      setup.py:420: UserWarning: Unrecognized setuptools command ('dist_info --egg -base /tmp/pip-modern-metadata-09w0r0wz'), proceeding with generating Cython sou rces and expanding templates
                      ' '.join(sys.argv[1:])))
                      Traceback (most recent call last):
                      File "/usr/local/lib/python3.5/dist-packages/numpy/core/__init__.py", line 24, in <module>
                      from . import multiarray
                      File "/usr/local/lib/python3.5/dist-packages/numpy/core/multiarray.py", li ne 14, in <module>
                      from . import overrides
                      File "/usr/local/lib/python3.5/dist-packages/numpy/core/overrides.py", lin e 7, in <module>
                      from numpy.core._multiarray_umath import (
                      ImportError: /usr/local/lib/python3.5/dist-packages/numpy/core/_multiarray_u math.cpython-35m-arm-linux-gnueabihf.so: undefined symbol: cblas_sgemm
                      
                      During handling of the above exception, another exception occurred:
                      
                      Traceback (most recent call last):
                      File "/usr/local/lib/python3.5/dist-packages/pip/_vendor/pep517/_in_proces s.py", line 280, in <module>
                      main()
                      File "/usr/local/lib/python3.5/dist-packages/pip/_vendor/pep517/_in_proces s.py", line 263, in main
                      json_out['return_val'] = hook(**hook_input['kwargs'])
                      File "/usr/local/lib/python3.5/dist-packages/pip/_vendor/pep517/_in_proces s.py", line 133, in prepare_metadata_for_build_wheel
                      return hook(metadata_directory, config_settings)
                      File "/tmp/pip-build-env-hylljqr1/overlay/lib/python3.5/site-packages/setu ptools/build_meta.py", line 174, in prepare_metadata_for_build_wheel
                      self.run_setup()
                      File "/tmp/pip-build-env-hylljqr1/overlay/lib/python3.5/site-packages/setu ptools/build_meta.py", line 267, in run_setup
                      self).run_setup(setup_script=setup_script)
                      File "/tmp/pip-build-env-hylljqr1/overlay/lib/python3.5/site-packages/setu ptools/build_meta.py", line 158, in run_setup
                      exec(compile(code, __file__, 'exec'), locals())
                      File "setup.py", line 540, in <module>
                      setup_package()
                      File "setup.py", line 516, in setup_package
                      from numpy.distutils.core import setup
                      File "/usr/local/lib/python3.5/dist-packages/numpy/__init__.py", line 142, in <module>
                      from . import core
                      File "/usr/local/lib/python3.5/dist-packages/numpy/core/__init__.py", line 50, in <module>
                      raise ImportError(msg)
                      ImportError:
                      
                      IMPORTANT: PLEASE READ THIS FOR ADVICE ON HOW TO SOLVE THIS ISSUE!
                      
                      Importing the numpy C-extensions failed. This error can happen for
                      many reasons, often due to issues with your setup or how NumPy was
                      installed.
                      
                      We have compiled some common reasons and troubleshooting tips at:
                      
                      https://numpy.org/devdocs/user/troubleshooting-importerror.html
                      
                      Please note and check the following:
                      
                      * The Python version is: Python3.5 from "/usr/bin/python3"
                      * The NumPy version is: "1.18.4"
                      
                      and make sure that they are the versions you expect.
                      Please carefully study the documentation linked above for further help.
                      
                      Original error was: /usr/local/lib/python3.5/dist-packages/numpy/core/_multi array_umath.cpython-35m-arm-linux-gnueabihf.so: undefined symbol: cblas_sgemm
                      
                      ----------------------------------------
                      ERROR: Command errored out with exit status 1: /usr/bin/python3 /usr/local/lib/p ython3.5/dist-packages/pip/_vendor/pep517/_in_process.py prepare_metadata_for_bu ild_wheel /tmp/tmpf6iwftds Check the logs for full command output.

                      So richtig, kann ich den Fehler nicht nachvollziehen. Auch eine manuelle Installation von scipy bringt eine Fehlermeldung, dabei spielt es keine Rolle, welche Version ich installiere, die Fehlermeldung kommt immer:

                      Code:
                      sudo pip3 install scipy-1.5.1-cp37-cp37m-linux_armv7l.whl
                      WARNING: Requirement 'scipy-1.5.1-cp37-cp37m-linux_armv7l.whl' looks like a filename, but the file does not exist
                      Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple
                      ERROR: scipy-1.5.1-cp37-cp37m-linux_armv7l.whl is not a supported wheel on this platform.


                      Kommentar


                        Du referenzierst etwas mit ...arm..., können wir daraus schliessen, das Du einen Raspi hast?

                        * Scipy will mit Version 1.5.x ein Python >= 3.6 haben.
                        * Scipy 1.4.1 begnügt sich mit Python >= 3.5
                        * Numpy 1.18.x erlaubt wohl Python >= 3.5
                        * Numpy 1.19.x möchte wohl Python >= 3.6 haben.

                        Vielleicht kann die Doku hier weiterhelfen
                        Zuletzt geändert von bmx; 22.08.2020, 14:31.

                        Kommentar


                          Neben Python auch eine Frage der CPU. Nachdem oben was von Python 3.5 steht, brauchst du auch das passende File als cp35 statt cp37.

                          Wenn du keinen Raspi hast, bringt ein File von piwheels auch nix.

                          Kommentar


                            Laut piwheels.org ist auf ARM die letzte mit Python 3.5 laufende Version scipy 1.3.0.

                            Aber auch wenn Du auf Python 3.7 gehst, darfst Du auf ARM nicht die latest Version von scipy (1.5.2) nutzen sondern musst scipi 1.5.1 installieren.
                            Zuletzt geändert von Msinn; 23.08.2020, 20:06.
                            Viele Grüße
                            Martin

                            There is no cloud. It's only someone else's computer.

                            Kommentar


                              Ich hatte das in #90 beschriebene Problem heute sogar 2 Mal und es hat nichts mit einem Datumswechsel zu tun..
                              Code:
                              Problems assigning dmax: day is out of range for month. Wrong syntax: sunrise-120m<05:30.
                              
                              Problems assigning dmin: day is out of range for month. Wrong syntax: 05:30<sunrise-72m<08:00
                              Leider grad überhaupt keinen Lösungsansatz

                              Kommentar


                                Zitat von Msinn Beitrag anzeigen
                                Aber auch wenn Du auf Python 3.7 gehst, darfst Du auf ARM nicht die latest Version von scipy (1.5.2) nutzen sondern musst scipi 1.5.1 installieren.
                                Danke. Python 3.7.9 läuft, scipy 1.5.1 auch und USZU läuft auch (wenn auch noch nicht im Detail getestet).

                                Kommentar

                                Lädt...
                                X